
package com.platform.service;

import java.util.List;

import org.springframework.ui.ModelMap;

import com.platform.entities.DataInfoEntity;
import com.platform.form.PagerOptions;

/** 数据管理
 * @author chen
 *
 */
public interface DataInfoService {
	
	/** 分页查询数据
	 * @param pagerOptions
	 * @return
	 */
	public ModelMap getPagerTableData(PagerOptions pagerOptions);

	/** 删除数据
	 * @param id
	 * @throws Exception
	 */
	void deleteData(String[] id) throws Exception;
	
	/** 删除数据
	 * @param ids
	 * @throws Exception
	 */
	void deleteData(List<Integer> ids) throws Exception;
	
	/** 新增数据
	 * @param data
	 * @return
	 * @throws Exception
	 */
	int save(DataInfoEntity data) throws Exception;
}
